# Disown built-in

The disown built-in removes jobs.

## Syntax

- `disown [-a] [job…}`

## Description

The disown built-in removes the specified jobs from the job list. The removed jobs will no longer be job-controlled, but the job processes continue execution (unless they have been suspended).

## Options

`-a`
`--all`

  Removes all jobs.

## Operands

job

  The job ID of the job to be removed.

  You can specify more than one job ID. If you do not specify any job ID, the current job is removed. If the shell is not in the POSIXly-correct mode, the %-prefix of the job ID can be omitted.

## Exit status

The exit status of the disown built-in is zero unless there is any error.

## Notes

The disown built-in is an elective built-in. It cannot be used in the POSIXly-correct mode because POSIX does not define its behavior.